Bug 443841 - Regression in resume from RAM on 915
Regression in resume from RAM on 915
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Regression
Depends On:
  Show dependency treegraph
Reported: 2008-04-23 12:52 EDT by Zack Cerza
Modified: 2009-07-14 10:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
combined /var/log/messages and Xorg.0.log from suspend/resume in X (9.81 KB, text/plain)
2008-04-23 12:52 EDT, Zack Cerza
no flags Details
lspci output (1.80 KB, text/plain)
2008-04-28 12:59 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2008-04-23 12:52:05 EDT
Description of problem:
With kernel-2.6.25-0.218.rc8.git7.fc9.i686, my X41 had no problems resuming from
RAM. With kernel-2.6.25-1.fc9.i686, on resume the display goes... crazy - either
if X is running, or if I've booted straight to console. The machine is still
responsive and able to be sshed into. Hibernate appears to work just fine still.

Version-Release number of selected component (if applicable):
Comment 1 Zack Cerza 2008-04-23 12:52:05 EDT
Created attachment 303523 [details]
combined /var/log/messages and Xorg.0.log from suspend/resume in X
Comment 2 Zack Cerza 2008-04-23 12:53:35 EDT
By 'crazy' I mean that the screen is severely corrupted, and the garbage (mostly
vertical lines with X; mostly garbled text with console) jumps around a lot.
Comment 3 Zack Cerza 2008-04-23 12:54:58 EDT
Assigning to airlied.
Comment 4 Zack Cerza 2008-04-23 12:59:18 EDT
Hm, also, is the new kernel modesetting enabled by default in 2.6.25?
Comment 5 Will Woods 2008-04-24 14:42:15 EDT
Not enabled by default; AFAIK you have to pass i915.modeset=1 to turn it on.
Comment 6 Will Woods 2008-04-24 14:55:28 EDT
FWIW, resume from RAM works fine on my (i945-based) mac mini with
Comment 7 Will Woods 2008-04-27 14:01:45 EDT
Also works on my (i915) Thinkpad T43. Could you attach your full Xorg.0.log and the output of lspci? 
Comment 8 Zack Cerza 2008-04-28 12:58:32 EDT
Hm. I'm on kernel-2.6.25-8.fc9.i686 now, and kernel modesetting is off. Resume
seems to work fine. I'll try a bit later to suspend with modesetting on; I
suspect the problem lies there.
Comment 9 Zack Cerza 2008-04-28 12:59:32 EDT
Created attachment 304008 [details]
lspci output

Anyway, here's my lspci output.
Comment 10 Bill Nottingham 2008-05-01 10:50:46 EDT
If it's only acting strange with modesetting, moving off the blocker list.
Comment 11 Bug Zapper 2008-05-14 06:01:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 12 Bug Zapper 2009-06-09 20:22:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-07-14 10:57:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.